Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/functions.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/functions.php	(revision 9697)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/functions.php	(revision 9698)
@@ -71,5 +71,5 @@
  */
 function scripts() {
-	wp_enqueue_style( 'wporg-style', get_theme_file_uri( '/css/style.css' ), [ 'dashicons', 'open-sans' ], '20200403' );
+	wp_enqueue_style( 'wporg-style', get_theme_file_uri( '/css/style.css' ), [ 'dashicons', 'open-sans' ], '20200406' );
 	wp_style_add_data( 'wporg-style', 'rtl', 'replace' );
 
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/inc/template-tags.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/inc/template-tags.php	(revision 9697)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/inc/template-tags.php	(revision 9698)
@@ -284,10 +284,13 @@
 	$tags = array_reverse( $tags );
 
-	echo '<h5>' . esc_html__( 'Previous Versions', 'wporg-plugins' ) . '</h5>';
-	echo '<div class="plugin-notice notice notice-info notice-alt"><p>' . esc_html__( 'Previous versions of this plugin may not be secure or stable and are available for testing purposes only.', 'wporg-plugins' ) . '</p></div>';
+	echo '<h4>' . esc_html__( 'Previous Versions', 'wporg-plugins' ) . '</h4>';
+
+	echo '<div class="plugin-notice notice notice-info notice-alt"><p>' . esc_html__( 'Previous versions of plugins may not be secure or stable. They are not recommended for use on production websites.', 'wporg-plugins' ) . '</p></div>';
+
+	echo '<p>' . esc_html__( 'Please select a specific version to download.', 'wporg-plugins' ) . '</p>';
 
 	echo '<select class="previous-versions" onchange="getElementById(\'download-previous-link\').href=this.value;">';
 	foreach ( $tags as $version ) {
-		$text = ( 'trunk' === $version ? esc_html__( 'Development Version', 'wporg-plugins' ) : $version );
+		$text = ( 'trunk' === $version ? __( 'Development Version', 'wporg-plugins' ) : $version );
 		printf( '<option value="%s">%s</option>', esc_attr( Template::download_link( $post, $version ) ), esc_html( $text ) );
 	}
@@ -303,7 +306,10 @@
 /**
  * Displays a form for plugin committers to self-close a plugin. Permanently.
+ * It is disabled for plugins with 20,000+ users.
  */
 function the_plugin_self_close_button() {
-	$post = get_post();
+	$post            = get_post();
+	$active_installs = (int) get_post_meta( $post->ID, 'active_installs', true );
+	$close_link      = false;
 
 	if ( ! current_user_can( 'plugin_admin_edit', $post ) || 'publish' != $post->post_status ) {
@@ -311,15 +317,23 @@
 	}
 
-	$close_link = Template::get_self_close_link( $post );
-
-	?>
-	<h5><?php esc_html_e( 'Close This Plugin', 'wporg-plugins' ); ?></h5>
-	<div class="plugin-notice notice notice-warning notice-alt"><p><?php _e( '<strong>Warning:</strong> Closing your plugin is intended to be a permanent action. You will not be able to reopen it without contacting the plugins team.', 'wporg-plugins' ); ?></p></div>
-
-	<form method="POST" action="<?php echo esc_url( $close_link ); ?>">
-	<p>
-		<input class="button" type="submit" value="<?php echo esc_attr( sprintf( __( 'I understand, please close %s.', 'wporg-plugins' ), get_the_title() ) ); ?>" />
-	</p>
-	</form>
-<?php 
-}
+	echo '<h4>' . esc_html__( 'Close This Plugin', 'wporg-plugins' ) . '</h4>';
+	echo '<p>' . esc_html__( 'This plugin is currently open. All developers have the ability to close their own plugins at any time.', 'wporg-plugins' ) . '</p>';
+
+	echo '<div class="plugin-notice notice notice-warning notice-alt"><p>';
+	if ( $active_installs >= 20000 ) {
+		// Translators: %s is the plugin team email address.
+		printf( __( '<strong>Notice:</strong> Due to the high volume of users for this plugin it cannot be closed without speaking directly to the plugins team. Please contact <a href="mailto:%1$s">%1$s</a> with a link to the plugin and explanation as to why it should be closed.', 'wporg-plugins' ), 'plugins@wordpress.org' );
+	} else {
+		$close_link = Template::get_self_close_link( $post );
+		_e( '<strong>Warning:</strong> Closing a plugin is intended to be a <em>permanent</em> action. There is no way to reopen a plugin without contacting the plugins team.', 'wporg-plugins' );
+	}
+	echo '</p></div>';
+
+	if ( $close_link ) {
+		echo '<form method="POST" action="' . esc_url( $close_link ) . '">';
+		// Translators: %s is the plugin name, as defined by the plugin itself.
+		echo '<p><input class="button" type="submit" value="' . esc_attr( sprintf( __( 'I understand, please close %s.', 'wporg-plugins' ), get_the_title() ) ) . '" /></p>';
+		echo '</form>';
+	}
+}
+
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/section-advanced.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/section-advanced.php	(revision 9697)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-plugins/template-parts/section-advanced.php	(revision 9698)
@@ -18,5 +18,5 @@
 	<?php the_closed_plugin_notice(); ?>
 
-	<h2><?php esc_html_e( 'Plugin Stats', 'wporg-plugins' ); ?></h2>
+	<h2><?php esc_html_e( 'Statistics', 'wporg-plugins' ); ?></h2>
 
 	<h4><?php esc_html_e( 'Active versions', 'wporg-plugins' ); ?></h4>
@@ -29,10 +29,24 @@
 	<div id="plugin-growth-stats" class="chart download-stats"></div>
 
-	<h5><?php esc_html_e( 'Downloads history', 'wporg-plugins' ); ?></h5>
+	<h4><?php esc_html_e( 'Downloads history', 'wporg-plugins' ); ?></h4>
 	<table id="plugin-download-history-stats" class="download-history-stats">
 		<tbody></tbody>
 	</table>
 
+	<hr>
+
+	<h2><?php esc_html_e( 'Advanced Options', 'wporg-plugins' ); ?></h2>
+
+	<p><?php esc_html_e( 'This section is intended for advanced users and developers only. They are presented here for testing and educational purposes.', 'wporg-plugins' ); ?></p>
+
 	<?php the_previous_version_download(); ?>
+
+	<hr>
+
+	<h2><?php esc_html_e( 'The Danger Zone', 'wporg-plugins' ); ?></h2>
+
+	<p><?php esc_html_e( 'The following features are restricted to plugin committers only. They exist to allow plugin developers more control over their work.', 'wporg-plugins' ); ?></p>
+
+	<div class="plugin-notice notice notice-error notice-alt"><p><?php esc_html_e( 'These features often cannot be undone without intervention. Please do not attempt to use them unless you are absolutely certain. When in doubt, contact the plugins team for assistance.', 'wporg-plugins' ); ?></p></div>
 
 	<?php the_plugin_self_close_button(); ?>
